<?php

namespace Addons\DyyEmail\Models;

use App\Modules\Admin\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Dyyemail extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id', 'dyyemail_id', 'role_id', 'parent_id', 'name', 'mobile', 'email', 'company'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
