layui.config({
    base: '/ui/'
}).extend({
    index: 'lib/index'
}).use(['index', 'table', 'form'], function () {
    var table = layui.table
    admin = layui.admin
        , form = layui.form;
    var $ = layui.$
    var token = $('#token').val()
    table.render({
        elem: "#LAY-app-content-list",
        url: layui.setter.prefix + 'dyyemail',
        cols: [[
            {
                field: "id",
                width: 100,
                title:'ID'
            },
            {
                field: "username",
                title: "授权帐户"
            },
            {
                field: "name",
                title: "姓名"
            },
            {
                field: "role_id",
                title: "身份",
                templet: "#role"
            },
            {
                field: "mobile",
                title: "手机号"
            },
            {
                field: "email",
                title: "邮箱"
            },
            {
                templet: '<div><a target="_blank" href="/'+window.admin_prefix+'/dyyemail/login/{{d.id}}">登录</a></div>',
                align: 'left',
                width: 100,
                title: '操作'
            }]],
        page: !0,
        limit: 10,
        limits: [10, 15, 20, 25, 30],
        text: "对不起，加载出现异常！",
    });


    $('.layui-btn.layuiadmin-btn-list').on('click', function () {
        var type = $(this).data('type');
        active[type] ? active[type].call(this) : '';
    });



    active = {
        add: function () {
            layer.open({
                type: 2
                ,closeBtn: 2
                , title: '创建帐号'
                , content: '/' + window.admin_prefix + '/dyyemail/create'
                , maxmin: true
                , area: window.layerArea
                , btn: ['确定', '取消']
                , yes: function (index, layero) {
                    //点击确认触发 iframe 内容中的按钮提交
                    var submit = layero.find('iframe').contents().find("#layuiadmin-app-create-form-submit");
                    submit.click();
                }
                , end: function(){
                    window.canAjax = true
                }
            });
        },
    };



    //监听提交
    form.on('submit(layuiadmin-app-kaihu-form-submit)', function (data) {
        console.log(window.canAjax);
        if (window.canAjax) {
            window.canAjax = false
            var loading = layer.load();
            admin.req({
                url: layui.setter.prefix + 'dyyemail/company'
                , type: 'post'
                , data: data.field
                , error: function (e) {
                    layer.close(loading)
                    window.canAjax = true
                }
                , done: function (res) {
                    if (res.data.status === true){
                        layer.msg('创建成功',{
                            offset: '15px'
                            , icon: 1
                            , time: 1000
                        })
                        location.reload();
                    }else{
                        layer.msg(res.data.error_msg,{
                            icon:5
                        })
                    }
                    layer.close(loading);
                    window.canAjax = true
                    // layer.msg('添加成功', {
                    //     offset: '15px'
                    //     , icon: 1
                    //     , time: 1000
                    // }, function () {
                    //     layer.close(loading);
                    //     parent.layui.treeTable.reload('LAY-app-content-list'); //重载表格
                    //     parent.layer.close(index); //再执行关闭
                    // });
                }
            });
        }
    });


    // 开户
    form.on('submit(layuiadmin-app-create-user-form-submit)', function(data){
        if (window.canAjax) {
            window.canAjax = false
            var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
            var loading = layer.load();
            admin.req({
                url: layui.setter.prefix + 'dyyemail/user'
                ,type: 'post'
                ,data: data.field
                ,done: function(res){
                    layer.msg('添加成功', {
                        offset: '15px'
                        ,icon: 1
                        ,time: 1000
                    }, function(){
                        layer.close(loading);
                        parent.layui.table.reload('LAY-app-content-list'); //重载表格
                        parent.layer.close(index); //再执行关闭
                    });
                },error: function (err) {
                    layer.close(loading);
                    window.canAjax = true
                }
            });
        }
    });



});
