<?php
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => config('app.admin_prefix'), 'middleware' => ['web', 'auth']], function () {
    Route::post('/dyyemail/company', [\Addons\DyyEmail\Http\Controllers\DyyEmailController::class, 'company'])
        ->name('admin.dyyemail.company');
    Route::post('/dyyemail/user', [\Addons\DyyEmail\Http\Controllers\DyyEmailController::class, 'user'])
        ->name('admin.dyyemail.user');
    Route::get('/dyyemail/login/{id}', [\Addons\DyyEmail\Http\Controllers\DyyEmailController::class, 'login'])
        ->name('admin.dyyemail.login');
    Route::resource('/dyyemail',\Addons\DyyEmail\Http\Controllers\DyyEmailController::class)
        ->except(['show', 'store'])
        ->names('admin.dyyemail');
});

Route::group(['prefix' => 'api'], function(){
    Route::get('/dyyemail/data/{name}', [\Addons\DyyEmail\Http\Controllers\DyyEmailController::class, 'getData'])
        ->name('admin.dyyemail.data');
});
