<div class="layui-header">
    <ul class="layui-nav layui-layout-left">
        <li class="layui-nav-item layadmin-flexible" lay-unselect>
            <a href="javascript:;" layadmin-event="flexible" title="侧边伸缩">
                <i class="layui-icon layui-icon-shrink-right" id="LAY_app_flexible"></i>
            </a>
        </li>
        <li class="layui-nav-item layui-hide-xs" lay-unselect>
            <a href="/" target="_blank" title="前台">
                <i class="layui-icon layui-icon-website"></i>
            </a>
        </li>
        <li class="layui-nav-item" lay-unselect>
            <a href="javascript:;" layadmin-event="refresh" title="刷新">
                <i class="layui-icon layui-icon-refresh-3"></i>
            </a>
        </li>
        @if (Route::has('admin.search') && app('settings')['setting']->website_id)
        <li class="layui-nav-item layui-hide-xs" lay-unselect>
            <input type="text" placeholder="搜索..." autocomplete="off" class="layui-input layui-input-search" layadmin-event="serach" lay-action="{{ route('admin.search') }}?keywords=">
        </li>
        @endif
    </ul>
    <ul class="layui-nav layui-layout-right" lay-filter="layadmin-layout-right">

{{--        <li class="layui-nav-item" lay-unselect>--}}
{{--            <a lay-href="app/message/index.html" layadmin-event="message" lay-text="消息中心">--}}
{{--                <i class="layui-icon layui-icon-notice"></i>--}}

{{--                <!-- 如果有新消息，则显示小圆点 -->--}}
{{--                <span class="layui-badge-dot"></span>--}}
{{--            </a>--}}
{{--        </li>--}}

        @if(in_array('ChatGpt', app('myAddons')))
            <li class="layui-nav-item layui-hide-xs" lay-unselect style="margin-right:10px;background: #ffbf29;color: #fff;">
                <a lay-href="/nosay/gpt" target="_blank" style="color: #ffffff;">
                    dyy-chatGPT
                    <i class="layui-icon layui-icon-face-smile"></i>
                </a>
            </li>
        @endif
        @if(in_array('DyyEmail', app('myAddons')))
            <li class="layui-nav-item layui-hide-xs" lay-unselect style="margin-right:10px;background: #ffbf29;color: #fff;">
                <a lay-href="/nosay/dyyemail" target="_blank" style="color: #ffffff;">
                    AI邮件系统
                    <i class="layui-icon layui-icon-face-smile"></i>
                </a>
            </li>
        @endif
        <li class="layui-nav-item layui-hide-xs" lay-unselect style="background: #4385f6;color: #fff;">
            <a href="/manual.pdf" target="_blank" download="/manual.pdf"  style="color: #ffffff;">
                后台操作手册
                <i class="layui-icon layui-icon-download-circle"></i>
            </a>
        </li>

        <li class="layui-nav-item layui-hide-xs" lay-unselect>
            <a href="javascript:;" layadmin-event="fullscreen">
                <i class="layui-icon layui-icon-screen-full"></i>
            </a>
        </li>
        <li class="layui-nav-item" lay-unselect style="margin-right: 10px;">
            <a href="javascript:;">
                <cite>{{ $data['name'] }}</cite>
            </a>
            <dl class="layui-nav-child">
                <dd><a lay-href="{{ route('admin.password') }}">修改密码</a></dd>
                <hr>
                <dd layadmin-event="logout" style="text-align: center;"><a>退出</a></dd>
            </dl>
        </li>

        <!-- <li class="layui-nav-item layui-hide-xs" lay-unselect>
            <a href="javascript:;" layadmin-event="about"><i class="layui-icon layui-icon-more-vertical"></i></a>
        </li>
        <li class="layui-nav-item layui-show-xs-inline-block layui-hide-sm" lay-unselect>
            <a href="javascript:;" layadmin-event="more"><i class="layui-icon layui-icon-more-vertical"></i></a>
        </li> -->
    </ul>
</div>
